Subject: Re: [PATCH 3/6] IrDA: IrLAP raw mode

From: Samuel Ortiz <[email-masked]>
Date: Fri, 16 Mar 2007 22:06:59 +0200

Hi Ingo,

On Fri, Mar 16, 2007 at 11:02:04AM +0100, Ingo Oeser wrote:
> > --- /dev/null
> > +++ b/include/net/irda/irlap_raw.h
> > @@ -0,0 +1,27 @@
> > +/*
> > + * Copyright (C) 2007 Samuel Ortiz ([email-masked])
> > + *
> > + * This program is free software; you can redistribute it and/or
> > + * modify it under the terms of the GNU General Public License as
> > + * published by the Free Software Foundation, version 2.
> > + *
> > + */
> > +
> > +#ifndef _IRLAP_RAW_H
> > +#define _IRLAP_RAW_H
> > +
> > +#ifdef CONFIG_IRDA_RAW
> > +
> > +int irlap_raw_recv_frame(struct sk_buff *skb, struct net_device *dev);
> > +int irlap_raw_register_device(struct net_device * dev);
> > +int irlap_raw_unregister_device(struct net_device * dev);
> > +
> > +#else
> > +
> > +#define irlap_raw_recv_frame(skbuff, netdev)
> > +#define irlap_raw_register_device(netdev)
> > +#define irlap_raw_unregister_device(netdev)
> 
> This stuff is usually done this way (functions, which just check arguments and do nothing):

Since those are exported symbols, I think it makes sense to do these checks.

> 
> I would suggest a small helper function here, which compiles into a constant, 
> if raw_mode is not compiled in.
> 
> like
This would prevent us from adding #ifdefs in the core IrDA code: I'll go for
it.

Thanks for the comments.

Cheers,
Samuel.

-------------------------------------------------------------------------
Take Surveys. Earn Cash. Influence the Future of IT
Join SourceForge.net's Techsay panel and you'll get the chance to share your
opinions on IT & business topics through brief surveys-and earn cash
http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV